Mailinglist Archive: opensuse-factory (649 mails)

< Previous Next >
Re: [opensuse-factory] Update Julia in Factory
Hi Tobias,

Em 19 de ago de 2017, à(s) 17:20, Tobias Klausmann
<tobias.johannes.klausmann@xxxxxxxxxx> escreveu:

BuildRequires: pkgconfig(libgit2)

This effectively pulls in libgit2-devel which pulls libgit2-version,
right now libgit2-26.

It may cause some overhead (hopefully not too many additional packages
are pulled in), yet Julia will build with all coming libgit2 versions,
as long as the interface stays the same.


Thanks for the tip. However, I wanted to avoid forcing the user to install
libgit2-devel packages, which can bring many additional, unwanted packages. To
circumvent this, with help of fvgot in IRC channel, I did the following:

%define libgit2_ver %(rpm -qa | grep -E "^libgit2-[0-9]" | head -n1 | cut
-d'-' -f2)

Requires: libgit2-%{libgit2_ver}

This should fix the problem with libgit2 once for all.

Thanks,
Ronan--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
References